# Build Automation Tools

Compile the lib into the **./dist** folder:

```bash
npm run build
```

Find problematic patterns in code
using [ESLint](https://eslint.org/)
and [Prettier](https://prettier.io/)
by following [Airbnb Style Guide](https://github.com/airbnb/javascript):

```bash
npm run lint
```

Run unit tests using [Jest](https://jestjs.io/):

```bash
npm run test
```

Run [pre-commit git hook](https://git-scm.com/docs/githooks#_pre_commit) manually:

```bash
npm run pre-commit
```
